> ## Documentation Index
> Fetch the complete documentation index at: https://bunny.net/docs/llms.txt
> Use this file to discover all available pages before exploring further.
# List Files
> Retrieve a list of files and directories located in the given directory.
## OpenAPI
````yaml /api-reference/storage/openapi.json get /{storageZoneName}/{path}/
openapi: 3.0.0
info:
version: 1.0.0
title: bunny.net Edge Storage API
description: >

Learn how to use the [bunny.net](https://bunny.net "bunny.net - The content
delivery platform that truly hops") Edge Storage API. It allows you to
easily upload, download and delete files with just a few lines of code.
API libraries:
These libraries allow quick integration for bunny.net Edge Storage.
Storage Endpoints:
The storage API endpoint depends on the primary storage region of your
storage zone. You can also find this in the FTP & HTTP API Information of
your storage zone.
- Falkenstein: storage.bunnycdn.com
- New York: la.storage.bunnycdn.com
- Los Angeles: la.storage.bunnycdn.com
- Singapore: sg.storage.bunnycdn.com
- Sydney: syd.storage.bunnycdn.com
termsOfService: http://swagger.io/terms/
contact:
name: bunny.net API Team
email: support@bunny.net
url: http://bunny.net
license:
name: MIT
url: http://github.com/gruntjs/grunt/blob/master/LICENSE-MIT
servers:
- url: https://storage.bunnycdn.com/
security:
- AccessKeyAuthentication: []
paths:
/{storageZoneName}/{path}/:
get:
tags:
- Browse Files
summary: List Files
description: |
Retrieve a list of files and directories located in the given directory.
parameters:
- name: storageZoneName
in: path
description: he name of your storage zone where you are connecting to.
required: true
schema:
type: string
- name: path
in: path
description: The directory path that you want to list.
required: true
schema:
type: string
responses:
'200':
description: A JSON encoded array of objects.
content:
'*/*':
schema:
type: array
items:
$ref: '#/components/schemas/StorageObject'
application/json:
examples:
response:
value:
- Guid: d6445d80-a797-4535-bf0e-d3819bcdf928
StorageZoneName: testfiles
Path: /testfiles/images/
ObjectName: 300kb.jpg
Length: 300000
LastChanged: '2017-03-10T03:06:48.203'
IsDirectory: false
ServerId: 24
UserId: 6eb577ca-556c-4e23-970c-a5afde191042
DateCreated: '2017-03-10T03:06:48.203'
StorageZoneId: 18201
- Guid: bc0f1128-fa88-4c53-a09d-fc59b442391d
StorageZoneName: testfiles
Path: /testfiles/images/
ObjectName: 300kb.jpg
Length: 300000
LastChanged: '2017-03-10T03:06:48.203'
IsDirectory: false
ServerId: 24
UserId: 1e733d2d-c0a4-4462-be8e-f8e63888d154
DateCreated: '2017-03-10T03:06:48.203'
StorageZoneId: 18201
components:
schemas:
StorageObject:
type: object
properties:
Guid:
type: string
format: guid
description: The unique Guid that represents the file
StorageZoneName:
type: string
description: The full hostname domain value
Path:
type: string
description: True directory path where the object is located
ObjectName:
type: string
description: The name of the object, file or directory name
Length:
type: integer
format: int64
description: The size of the file
LastChanged:
type: string
format: datetime
description: The time when the file was last changed
IsDirectory:
type: boolean
description: True if this is a directory object, false if it's a file
ServerId:
type: integer
description: The ID of the physical server that holds the file
UserId:
type: string
description: The ID of the user that holds the file
DateCreated:
type: string
format: datetime
description: The date and time when the object was first created
StorageZoneId:
type: integer
description: The storage zone ID to which the file belongs
securitySchemes:
AccessKeyAuthentication:
type: apiKey
in: header
name: AccessKey
description: >-
The storage zone password also doubles as your API key. You can find it
in your storage zone details page in the bunny.net dashboard.
````
This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.